servicemix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gert Vanthienen (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (SMX4-760) JAXB API and implementation version mismatch in Camel features descriptor
Date Wed, 16 Feb 2011 21:21:34 GMT

     [ https://issues.apache.org/jira/browse/SMX4-760?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Gert Vanthienen resolved SMX4-760.
----------------------------------

    Resolution: Fixed

Fixed in http://svn.apache.org/viewvc?view=revision&revision=1071399

> JAXB API and implementation version mismatch in Camel features descriptor
> -------------------------------------------------------------------------
>
>                 Key: SMX4-760
>                 URL: https://issues.apache.org/jira/browse/SMX4-760
>             Project: ServiceMix 4
>          Issue Type: Bug
>    Affects Versions: 4.3.0
>            Reporter: Gert Vanthienen
>            Assignee: Gert Vanthienen
>             Fix For: 4.4.0
>
>
> In the Camel features descriptor in ServiceMix 4.3.0, there's a mismatch between the
versions for the API and implementation for JAXB.  API is using JAXB 2.1, while the implementation
is JAXB 2.2.
> {code:xml}
> <feature name='camel-core' version='2.6.0'>
>     <feature version="3.0.5.RELEASE">spring</feature>
>     <bundle>mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.activation-api-1.1/1.7.0</bundle>
>     <bundle>mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.jaxb-api-2.1/1.7.0</bundle>
>     <bundle>mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.stax-api-1.0/1.7.0</bundle>
>     <bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.jaxb-impl/2.2.1.1_1</bundle>
>     <bundle>mvn:org.fusesource.commonman/commons-management/1.0</bundle>
>     <bundle>mvn:org.apache.camel/camel-core/2.6.0</bundle>
> </feature>
> {code}
> This causes exceptions during startup:
> {noformat}
> org.apache.karaf.features.core - 2.1.3 | Error installing boot features
> java.lang.Exception: Could not start bundle mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.jaxb-impl/2.2.1.1_1
> in feature(s) camel-core-2.6.0, cxf-2.3.2, servicemix-wsn2005-2011.01:
> Unresolved constraint in bundle org.apache.servicemix.bundles.jaxb-impl [66]: Unable
to resolve 66.0: missing requirement [66.0] package;
> (&(package=javax.xml.bind)(version>=2.2.0)(!(version>=3.0.0)))
> {noformat}
> Switching the API to *{{mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.jaxb-api-2.1/1.7.0}}*
fixes the issue on my machine.

-- 
This message is automatically generated by JIRA.
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message